using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Sledgemapper.Entities;

namespace Sledgemapper.Api.Core.Entities.CampaignAggregate
{
    public class Campaign
    {
        [Key]
        public int CampaignId { get; set; }

        [Required]
        public string CampaignName { get; set; }

        [Required]
        public int OwnerUserId { get; set; }

        public List<User> InvitedUsers { get; set; }
    }
}
